Class Specialization
SorterSpec
Sorts all elements using a custom compare function.

Pool

SorterSpec

SorterConfig | SorterConfigSize

Pool<TValue, SorterSpec<TConfig> >
Include Headers
seqan/pipe.h
Parameters

TValue | The value type, that is the type of the stream elements.
TConfig | Configuration Spec. Defines compare function, size type, and file type. Types: SorterConfig, SorterConfigSize

Remarks
The Pool's input/output type is TValue and the size type is determined by the TConfig.
Note: If there exists an explicit function mapping input elements to their destined positions in the output stream, MapperSpec should be preferred.
Specialization of
Pool
Specializations

SorterConfig | Configuration of Sorter.
SorterConfigSize | Configuration of Sorter.

Functions

assign | Assigns one object to another object. (Pool)
assign | Assigns one object to another object. (Pool)
atEnd | Determines whether an iterator is at the end position. (Pool)
beginRead | Initiates a read process. (Pool)
beginWrite | Initiates a write process. (Pool)
clear | Resets an object. (Pool)
endRead | Terminates a read process. (Pool)
endWrite | Terminates a write process. (Pool)
front | Gets the first element of the remaining stream. (Pool)
length | The number of items/characters. (Pool)
pop | Pops the first element of the remaining stream. (Pool)
push | Appends an item at the end of an input stream. (Pool)
resize | Resizes a container. If the new length exceeds the old length the new elements are filled with copies of value. (Pool)

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:52